SymbolShapeHint (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.datamatrix.encoder, enum: SymbolShapeHint

Package com.google.zxing.datamatrix.encoder

# Enum SymbolShapeHint

java.lang.Object
java.lang.Enum<SymbolShapeHint>
com.google.zxing.datamatrix.encoder.SymbolShapeHint

All Implemented Interfaces:
  `Serializable`, `Comparable<SymbolShapeHint>`, `java.lang.constant.Constable`

public enum SymbolShapeHint extends Enum<SymbolShapeHint>
Enumeration for DataMatrix symbol shape hint. It can be used to force square or rectangular symbols.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORCE_NONE`
  `FORCE_RECTANGLE`
  `FORCE_SQUARE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SymbolShapeHint`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SymbolShapeHint[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORCE_NONE

    public static final SymbolShapeHint FORCE_NONE

  - ### FORCE_SQUARE

    public static final SymbolShapeHint FORCE_SQUARE

  - ### FORCE_RECTANGLE

    public static final SymbolShapeHint FORCE_RECTANGLE

- ## Method Details

  - ### values

    public static SymbolShapeHint[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SymbolShapeHint valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null